Name:          libvdpau-va-gl
Version:       0.4.2
Release:       1mamba
Summary:       VDPAU driver with OpenGL/VAAPI backend
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/i-rinat/libvdpau-va-gl
Source:        https://github.com/i-rinat/libvdpau-va-gl.git/v%{version}/libvdpau-va-gl-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: libva-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Provides:      vdpau_backend

%description
VDPAU driver with OpenGL/VAAPI backend.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libvdpau_va_gl.so
%{_libdir}/libvdpau_va_gl.so.1
%doc LICENSE

%changelog
* Wed Dec 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- package created using the webbuild interface
